libzypp 17.37.10

RepoVariables.h File Reference
`#include <string>`
`#include <zypp/base/Function.h>`
`#include <zypp/base/ValueTransform.h>`
`#include <zypp/Url.h>`

Go to the source code of this file.

## Classes
class | zypp::repo::RepoVarExpand
| Functor expanding repo variables in a string. More...
struct | zypp::repo::RepoVariablesStringReplacer
| Functor replacing repository variables. More...
struct | zypp::repo::RepoVariablesUrlReplacer
| Functor replacing repository variables. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::repo

## Typedefs
using | RepoVariablesReplacedString = base::ValueTransform<std::string, repo::RepoVariablesStringReplacer>
| Helper managing repo variables replaced strings.
using | RepoVariablesReplacedStringList = base::ContainerTransform<std::list<std::string>, repo::RepoVariablesStringReplacer>
| Helper managing repo variables replaced string lists.
using | RepoVariablesReplacedUrl = base::ValueTransform<Url, repo::RepoVariablesUrlReplacer>
| Helper managing repo variables replaced urls.
using | RepoVariablesReplacedUrlList = base::ContainerTransform<std::list<Url>, repo::RepoVariablesUrlReplacer>
| Helper managing repo variables replaced url lists.

## Typedef Documentation

## ◆ RepoVariablesReplacedString

using RepoVariablesReplacedString = base::ValueTransform<std::string, repo::RepoVariablesStringReplacer>

Helper managing repo variables replaced strings.

Definition at line 127 of file RepoVariables.h.

## ◆ RepoVariablesReplacedStringList

using RepoVariablesReplacedStringList = base::ContainerTransform<std::list<std::string>, repo::RepoVariablesStringReplacer>

Helper managing repo variables replaced string lists.

Definition at line 130 of file RepoVariables.h.

## ◆ RepoVariablesReplacedUrl

using RepoVariablesReplacedUrl = base::ValueTransform<Url, repo::RepoVariablesUrlReplacer>

Helper managing repo variables replaced urls.

Definition at line 133 of file RepoVariables.h.

## ◆ RepoVariablesReplacedUrlList

using RepoVariablesReplacedUrlList = base::ContainerTransform<std::list<Url>, repo::RepoVariablesUrlReplacer>

Helper managing repo variables replaced url lists.

Definition at line 136 of file RepoVariables.h.